<?php
/**
 * Dynamic CSS
 *
 * @package Theme-Vision
 * @subpackage Lana
 * @since 2.0
 */

// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
}

class Lana_Dynamic_CSS {
    
    /**
     * Render CSS
     *
     * @since 2.0
     */
    public static function render() { 
        $primary = esc_attr( get_theme_mod( 'lana_primary_color', '#6cc5af' ) ); ?>
        <style type="text/css" id="lana-dynamic-css">
        input[type="submit"], 
        input[type="reset"], 
        input[type="button"], 
        button, .button {
            box-shadow: inset 0 0 0 2px <?php echo $primary; ?>;
            color: <?php echo $primary; ?>;
        }
        </style>
    <?php
    }
    
}
add_action( 'wp_head', array( 'Lana_Dynamic_CSS', 'render' ) );

/* Omit closing PHP tag to avoid "Headers already sent" issues. */
