<?php 
/**
 * The Template for displaying all single posts
 *
 * @package Theme-Vision
 * @subpackage Lana
 * @since 1.0
 */

// Direct access to the file not allowed.
if( ! defined( 'ABSPATH' ) ) {
    exit;
} ?>

<?php get_header(); ?>

<section>
    <?php while ( have_posts() ) : the_post(); ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        
        <header>
            <h1><?php the_title(); ?></h1>
        </header>
        
         <ul class="actions">
            <?php if( get_edit_post_link() ): ?>
            <li class="edit-post"><?php edit_post_link( '<i class="fa fa-edit"></i> ' . __( 'Edit', 'lana' ) ); ?></li>
            <?php endif; ?>
        </ul>
        
        <?php the_content(); ?>
        
        <?php Lana_Helper::get_tags(); ?>
        
        <?php Lana::post_prev_next_nav(); ?>
        
        <?php comments_template( '', true ); ?>
        
    </article>
    <?php endwhile; ?>
    
</section>

<?php Lana_Helper::get_end_wrappers(); ?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>