<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package Theme-Vision
 * @subpackage Lana
 * @since 1.0
 */

// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
} ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <?php if( has_post_thumbnail() ): ?>
    <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="image">
        <img src="<?php the_post_thumbnail_url(); ?>" />        
    </a>
    <?php endif; ?>
    
    <h3><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
    
    <?php the_excerpt(); ?>
    
    <?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'lana' ), 'after' => '</div>' ) ); ?>
    
    <?php if( get_theme_mod( 'lana_blog_readmore', true ) || get_edit_post_link() ): ?>
    <ul class="actions">
        <?php if( get_theme_mod( 'lana_blog_readmore', true ) ): ?>
            <li><a href="<?php the_permalink(); ?>" class="button"><?php _e( 'More', 'lana' ); ?></a></li>
        <?php endif; ?>
        <?php if( get_edit_post_link() ): ?>
            <li class="edit-post"><?php edit_post_link( '<i class="fa fa-edit"></i> ' . __( 'Edit', 'lana' ) ); ?></li>
        <?php endif; ?>
    </ul>
    <?php endif; ?>
    
</article>